/* 
Theme Name: HypnoTera
Author: B&R
Template: hello-elementor
Version: 2.0.0
Text Domain: hypnotera
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/

/* Add your custom styles here */

body {
    font-family: "Lato", sans-serif;
    font-size: 18px;
}

.header-sticky {
    transform: translatey(-108px);
    -moz-transition: all .3s ease!important;
    -webkit-transition: all .3s ease!important;
    transition: all .3s ease!important;
    width: 100%!important;
    margin-bottom: -108px;
}


.header-sticky.elementor-sticky--effects  {
    height: auto!important;
    transform: translatey(0px);
}

.header-transparent {
    margin-bottom: -180px;
}

.header-transparent.elementor-sticky--effects {
    display: none!important;
}

/* Show Hide Sticky Header Speed Control */
#hide-header {
    transition: all .4s ease!important;
    min-width: 100%;
}

.mobile-menu-popup .elementor-nav-menu .sub-arrow {
    padding-inline-end: 10px !important;
}

.mobile-menu-popup .sub-menu {
    margin: 0 0 10px;
}

.mobile-menu-popup .elementor-sub-item {
    font-size: 18px !important;
    padding: 9px 0 9px 5px !important;
}

.mobile-menu-popup .elementor-item-active {
    font-weight: 800 !important;
    /* text-decoration: underline !important; */
}

/* Auto-expanded dropdown menu styles */
.elementor-nav-menu--dropdown .dropdown-expanded > .sub-menu {
    display: block !important;
    visibility: visible !important;
}

.dropdown-expanded .sub-arrow {
    transform: rotate(180deg);
    transition: transform 0.3s ease;
}

.base-icon .elementor-button-icon {
    align-items: stretch;
}

.left-al-btn .elementor-button-text {
    text-align: left;
}

.green-bold strong, .green-bold b {
    color: var(--e-global-color-primary);
}

.select-form select:required:invalid {
  color: #858894 !important;
}

/* option[value=""][disabled] {
  display: none;
}*/

.swiper-pagination-bullet {
    width: 30px;
    height: 4px;
    border-radius: 2px;
    transition: all .3s ease;
}
.swiper-pagination-bullet.swiper-pagination-bullet-active{
    width: 90px;
    background-color: #D5A844;
}

.double-icon .elementor-button-icon svg {
    height: auto;
    width: 2em;
}

.double-icon .elementor-button:hover .elementor-button-icon svg circle {
    fill: #ffffff !important;
}
.double-icon .elementor-button:hover .elementor-button-icon svg g path {
    fill: var(--e-global-color-03babd3) !important;
}

.double-icon .elementor-button-text {
    text-align: left;
    align-self: center;
}

.eael-data-table thead th:first-child {
    border-radius: 24px 0 0 0;
}
.eael-data-table thead th:last-child {
    border-radius: 0 24px 0 0;
}
.eael-data-table tbody td:first-child {
    font-weight: 800 !important;
}
.eael-data-table .td-content {
    text-align: left;
}

.round-icon .elementor-icon {
    background-color: var(--e-global-color-primary);
    padding: 15px;
    border-radius: 50%;
}
.round-icon:hover  .elementor-icon {
    background-color: var(--e-global-color-03babd3);
}

.shadow-tl {
    box-shadow: -36px -36px 0px 0px #FCE8F1;
}

.shadow-br {
    box-shadow: 36px 36px 0px 0px #FCE8F1;
}

.elementor-location-header .menu-item .elementor-item-active {
    font-weight: 800 !important;
}

.newsletter-form .elementor-field-type-submit {
    margin-top: 30px;
}

.post-tags a:hover {
    color: var(--e-global-color-primary) !important;
}

/* Buttons */

.oker .elementor-button:hover {
    background-color: var(--e-global-color-primary) !important;
}

.bel .elementor-button:hover {
    background-color: var(--e-global-color-03babd3) !important;
    border-color: var(--e-global-color-03babd3) !important;
}
.bel .elementor-button:hover .elementor-button-text {
    color: #ffffff !important;
}

.prozoren-bel .elementor-button:hover {
    background-color: #ffffff !important;
}
.prozoren-bel .elementor-button:hover .elementor-button-text {
    color: var(--e-global-color-primary) !important;
}

.prozoren-roza .elementor-button:hover {
    background-color: var(--e-global-color-primary) !important;
}
.prozoren-roza .elementor-button:hover .elementor-button-text {
    color: #ffffff !important;
}

.rank-math-breadcrumb a {
    transition: all .3s ease;
}
.rank-math-breadcrumb a:hover {
    color: var(--e-global-color-03babd3) !important;
}

/* Recaptcha */
.elementor-field-type-recaptcha .elementor-field {
    transform: scale(0.77);
    transform-origin: 0 0;
}

.grecaptcha-badge {
    display: none !important;
}

#moove_gdpr_cookie_info_bar .moove-gdpr-info-bar-container .moove-gdpr-info-bar-content button.mgbutton:hover {
    background-color: var(--e-global-color-03babd3) !important;
}

@media (max-width: 767px) {
    .shadow-tl {
        box-shadow: -24px -24px 0px 0px #FCE8F1;
    }

    .shadow-br {
        box-shadow: 24px 24px 0px 0px #FCE8F1;
    }
    .td-content {
        -webkit-box-pack: start;
        justify-content: flex-start;
        padding: 0 10px;
    }
    .eael-data-table tbody > tr:nth-child(2n+1) td {
        background-color: var(--e-global-color-secondary) !important;
    }
    .eael-data-table tbody > tr:nth-child(2n) td {
        background-color: #ffffff !important;
    }
    .double-icon .elementor-button-icon {
        display: none;
    }
    .double-icon .elementor-button-content-wrapper {
        justify-content: flex-end !important;
    }
}
